API referenceWebhooks
List webhook endpoints
GET
ApiKeyheader
AuthorizationBearer <token>An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).
limit?integerPage size, 1–100.
Range
1 <= value <= 100after?stringA nextCursor from the previous page.
before?stringA prevCursor, to page back. Not with after.
Gauge-Version?stringA dated version. Default 2026-10-21.
A page of endpoints.
application/json- response
A cursor page over (created_at, id). Every list returns this shape.
data*array<>nextCursor*|Pass as after for the next page; null on the last page.
prevCursor*|Pass as before for the previous page; null on the first page.
curl -X GET 'https://app.gauge.chat/backend/v2/webhook-endpoints'Example Response
{ "nextCursor": "string", "prevCursor": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "string", "events": [ "string" ], "connectionIds": [ "727129f8-6680-44ef-a207-d136cf0c29f0" ], "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "apiVersion": "string", "enabled": true, "disabledReason": "consecutive_failures", "disabledAt": "2019-08-24T14:15:22Z", "ownerMemberId": "a8961912-4bf3-4418-9ed8-fe7fa367bf97", "createdAt": "2019-08-24T14:15:22Z", "secretRotatedAt": "2019-08-24T14:15:22Z", "previousSecretExpiresAt": "2019-08-24T14:15:22Z", "lastDeliveryStatus": "pending", "lastDeliveryAt": "2019-08-24T14:15:22Z", "successRate24h": 0 } ]}